Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002415 [DCSS] FR: Interface Improvements feature N/A 2010-08-31 17:22 2012-03-24 22:28
Reporter minmay View Status public  
Assigned To KiloByte
Priority normal Resolution done  
Status closed   Product Branch 0.8 ancient branch
Summary 0002415: Autodrop rotten chunks
Description Simply put, this is an option that would be an extension of autopickup. If you're carrying a useless rotten chunk (and you don't know Sublimation of Blood, aren't a saprovore, etc.), and you're in a situation where autopickup would work (no monsters nearby, autopickup is on, etc.), all rotten chunks of flesh would be dropped.
I'm sure at least one person would complain about it so it should of course be toggleable, maybe off by default.
It always annoys me when I'm carrying around some chunks to eat and I want to pick up something else, but all my inventory slots are full and I have to drop the rotten ones manually.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007690)
Core Xii (reporter)
2010-08-31 22:19

Since dropping rotting chunks when you wouldn't NEED to wastes turns, perhaps this should happen only when picking up new stuff. I.e. you try to pick something up; If your slots are full or you would become encumbered and you have useless rotten chunks in your inventory, the game drops as many as are needed to make the pickup possible again.
(0007691)
MarvinPA (developer)
2010-08-31 23:27

This sounds like a pretty trivial thing to worry about, especially since it's only a couple of keypresses to drop all your rotten chunks and surely you don't need to do that incredibly often, unless you're constantly near the item cap?
(0007692)
minmay (reporter)
2010-08-31 23:48

I'm constantly near the item cap. I was under the impression that nearly everyone was by the time they finish Lair.

Core Xii's suggestion would probably work better than mine, though.
(0007694)
Core Xii (reporter)
2010-09-01 00:53
edited on: 2010-09-01 00:53

By the time you finish Lair you have a stash on Lair:2, so no. It's a minor inconvenience at best.

(0008618)
gerryq (reporter)
2010-09-15 01:03

I would like this... I don't really mind which way it is implemented.

What I'd like even better would be if you could set an option to "carry no more than 3 chunks". Every time you butchered a corpse, the three freshest chunks between your inventory and the freshly butchered meat would be picked up, and all the rest discarded.

Big piles of meat are a pain when you play low-strength characters... this is as annoying as the item limit. Carrying only the 3 freshest chunks - or whatever number is appropriate - would do a lot to solve both problems.

Stashing in general is a minor inconvenience, but a real one. (Over time I've found I get increasingly blase about leaving stuff lying around, but at the same time I like to make nice ordered piles of armour, potions, scrolls etc. on Lair 2, so it's a continuous battle between tidiness and laziness - just like RL!)
(0017346)
MarvinPA (developer)
2012-03-18 06:39

See 0004204.
(0017378)
KiloByte (manager)
2012-03-20 09:33

Unlike 4204, this actually makes sense, and is a much needed feature.

If you picked up an useless item, you did it on purpose, and it shouldn't be dropped unless you do it by hand. The only case automatically dropping things could be handy is dropping the rest of a stack of scrolls/potions you just learned to be bad, but that happens once per game so it's not a big concern.

Chunks are completely different. They come and go, and if you can't sac the corpses, it's wise to chop at least one corpse from every fight. This adds great tedium of micromanagement.
(0017379)
KiloByte (manager)
2012-03-20 10:03

The two parts, auto-dropping rotten chunks and dropping old/worse ones are mostly unconnected from the config's and user's points of view, however they'd be done in the same piece of code, so let 's discuss the latter (rotten chunks leave no place for thought).

A fixed setting for the number of chunks doesn't sound useful -- someone with a ring of sustenance has a tad bit smaller needs than a TrAr^Zin. However, it's not as simple as looking at your hunger rate as level 9 spells tend to cost a whole chunk per cast without lich form. Sublimation/Simulacrum are two other uses for chunks as well.

I guess it may be better to leave 2 or 3 values for that setting that mean "more paranoia" and "less paranoia", and use some smart (uh huh) formula.
(0017384)
KiloByte (manager)
2012-03-21 00:03

It's in. Probably buggy like hell, and with a number of badly needed extensions, but should at least sometimes work.

- Issue History
Date Modified Username Field Change
2010-08-31 17:22 minmay New Issue
2010-08-31 22:19 Core Xii Note Added: 0007690
2010-08-31 23:27 MarvinPA Note Added: 0007691
2010-08-31 23:48 minmay Note Added: 0007692
2010-09-01 00:53 Core Xii Note Added: 0007694
2010-09-01 00:53 Core Xii Note Edited: 0007694
2010-09-15 01:03 gerryq Note Added: 0008618
2012-03-18 06:39 MarvinPA Note Added: 0017346
2012-03-18 06:39 MarvinPA Status new => resolved
2012-03-18 06:39 MarvinPA Fixed in Branch => 0.11 development branch
2012-03-18 06:39 MarvinPA Resolution open => done
2012-03-18 06:39 MarvinPA Assigned To => MarvinPA
2012-03-20 01:53 minmay Status resolved => closed
2012-03-20 09:33 KiloByte Note Added: 0017378
2012-03-20 10:03 KiloByte Assigned To MarvinPA =>
2012-03-20 10:03 KiloByte Note Added: 0017379
2012-03-20 10:03 KiloByte Status closed => feedback
2012-03-20 10:03 KiloByte Resolution done => reopened
2012-03-21 00:03 KiloByte Note Added: 0017384
2012-03-21 00:03 KiloByte Status feedback => resolved
2012-03-21 00:03 KiloByte Resolution reopened => done
2012-03-21 00:03 KiloByte Assigned To => KiloByte
2012-03-24 22:28 minmay Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker